Voice Details
curl --request GET \
--url https://app.luly.ai/api/v1/voices/{id} \
--header 'authorization: <authorization>'import requests
url = "https://app.luly.ai/api/v1/voices/{id}"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://app.luly.ai/api/v1/voices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"voice": {
"id": "2f9fdbc7-4bf2-4792-8a18-21ce3c93978f",
"name": "maya",
"description": "Young American Female",
"public": true,
"tags": [
"english",
"soft",
"Luly Curated"
],
"total_ratings": 1234,
"average_rating": 4
}
}
Voices
Voice Details
Retrieve detailed information about a specific voice.
GET
/
v1
/
voices
/
{id}
Voice Details
Headers
string
required
Your API key for authentication.
Path Parameters
string
required
The unique identifier for the voice preset.Place either the voice’s
name or id here.For example, GET https://api.luly.ai/v1/voices/david or GET https://api.luly.ai/v1/voices/ff2c405b-3dba-41e0-9261-bc8ee3f91f46.Response
object
Contains detailed information about the specified voice.
id- The unique id for that voice.name- Public voice name, and can also be used as a unique identifier.description- The description of the voice.public- Whether or not the voice is publicly available.tags- A list of tags associated with the voice for the language, voice details, and will have"luly Curated"for preferred voices.average_rating- The average star ratings for the voice (out of 5 stars).total_ratings- The number of ratings for the voice.
{
"voice": {
"id": "2f9fdbc7-4bf2-4792-8a18-21ce3c93978f",
"name": "maya",
"description": "Young American Female",
"public": true,
"tags": [
"english",
"soft",
"Luly Curated"
],
"total_ratings": 1234,
"average_rating": 4
}
}